var fs = require('fs');
var path = require('path');
var console = require('sfconsole')('ADD');
var fileUtil = require('../util/file');

var proj = process.argv[2];
var cwd = process.cwd();
var tplDir = path.resolve(__dirname, '../tpl/APP');
var apiTplDir = path.resolve(__dirname, '../tpl/API/APP');

if (!proj) {
	console.err('usage -h for help');
	return;
}

var dst = path.join(cwd, proj);
var apiDst = path.join(cwd, path.join('API', proj));

if (fileUtil.exist(dst)) {
	console.err('project ' + proj + ' has existed! Please change');
	return;
}

if (fileUtil.exist(dst)) {
	console.err('curent directory ' + cwd + ' not empty! please choose a empty directory to init');
	return;
}

console.log('add project start...');

fileUtil.copyDir(tplDir, dst);
console.log(apiDst);
fileUtil.copyDir(apiTplDir, apiDst);

console.log('add project done');