import React from 'react';
import ReactDOM from 'react-dom';
import {Router, Route, hashHistory , IndexRoute , Link} from 'react-router';
import 'commons/styles/reset.css';

import { App ,Demo} from 'components/index.js';

import {LoginValidator } from './validators/index';

//import 'commons/libs/response.js';

const NotFound = () => {
  return (
    <div className="not-found" style={{paddingTop: 200,fontSize: 20,textAlign: 'center'}}>404 notFound!!You are so lucky!!
    404 notFound
     </div>
  )
}


ReactDOM.render((
    <Router history={hashHistory} >
	 	<Route path='/' component={App} >

	      <IndexRoute component={Demo} />

	     	<Route path='/demo' name="demo" component={Demo} onEnter={LoginValidator}/>
	    </Route>

	    <Route path="*" component={NotFound} />

    </Router>
    ), document.getElementById('app')
);
