// 1.隐藏邮箱@符号的前4位
let hiddenMail = (mail)=>{
  return mail.replace(/^(.*?)(.{0,4})@/, ($, $1)=> {
    return $1+'****@';
  });
}

// 2.邮箱找回时，根据邮箱后缀获取跳转url
let toMail = (mail)=> {
  var hash = {
      'qq.com': 'http://mail.qq.com',
      'gmail.com': 'http://mail.google.com',
      'sina.com': 'http://mail.sina.com.cn',
      '163.com': 'http://mail.163.com',
      '126.com': 'http://mail.126.com',
      'yeah.net': 'http://www.yeah.net/',
      'sohu.com': 'http://mail.sohu.com/',
      'tom.com': 'http://mail.tom.com/',
      'sogou.com': 'http://mail.sogou.com/',
      '139.com': 'http://mail.10086.cn/',
      'hotmail.com': 'http://www.hotmail.com',
      'live.com': 'http://login.live.com/',
      'live.cn': 'http://login.live.cn/',
      'live.com.cn': 'http://login.live.com.cn',
      '189.com': 'http://webmail16.189.cn/webmail/',
      'yahoo.com.cn': 'http://mail.cn.yahoo.com/',
      'yahoo.cn': 'http://mail.cn.yahoo.com/',
      'eyou.com': 'http://www.eyou.com/',
      '21cn.com': 'http://mail.21cn.com/',
      '188.com': 'http://www.188.com/',
      'foxmail.coom': 'http://www.foxmail.com'
  };
  var url = mail.split('@')[1];
  window.location.href = hash[url];
}

// 3.判断密码等级 : 只含有一种类型，type.length = 1即密码等级为1...
let pwdLevel(password) =>{
    var Modes = 0;
    let type = []; //存类型
    for (let i = 0; i < password.length; i++) {
        CharMode(password.charCodeAt(i));
    }
    return type;
    let CharMode(iN) =>{
       //数字
        if (iN >= 48 && iN <= 57){
            if(type.indexOf('d') < 0)
              type.push('d');
            return 1;
        }
        //大小写字母
        if ((iN >= 97 && iN <= 122) || (iN >= 65 && iN <= 90)) {
          if(type.indexOf('w') < 0)
            type.push('w');
          return 4;
        }
        //特殊字符
        else{
          if(type.indexOf('o') < 0)
            type.push('o');
          return 8;
        }
    }
}

// 4.前端图片预览
let readURL = (input, img) => {
  // 支持FileReader
  if (window.FileReader && input.files && input.files[0]) {
    var reader = new FileReader();
    reader.onload = function(e) {
      img.attr('src', e.target.result);
    }
    reader.readAsDataURL(input.files[0]);
  }
  // IE 使用滤镜
  else if (window.navigator.appName === "Microsoft Internet Explorer") {
    let path = getPath(input);
    img[0].filters.item("DXImageTransform.Microsoft.AlphaImageLoader").src = path;
  }
  let getPath = (obj) => {
    if (obj) {
      if (window.navigator.userAgent.indexOf("MSIE") >= 1) {
        obj.select();
        return document.selection.createRange().text;
      } else if (window.navigator.userAgent.indexOf("Firefox") >= 1) {
        if (obj.files) {
          return obj.files.item(0).getAsDataURL();
        }
        return obj.value;
      }
      return obj.value;
    }
  }
};
