/*
 * Created by thinkzhan
 */
'use strict';
 const exec = require('child_process').exec; 
 const gulp = require('gulp'),
  plugins = require('gulp-load-plugins')();

  // mock接口生成， gulp mock -projName
  gulp.task('mock', function(a) {
    if(process.argv[3]) {
      let proj = process.argv[3].slice(1);
   
      exec(`node ./API/mock-generator.js -${proj}`, function(err) {
        err && console.log(err)
      })
    }else {
      console.log('use: gulp mock -projName');
    }
  });

  
  // gulp proxy 使用nproxy代理线上文件到本地
  // 需配置replace_rule.js,设置浏览器代理
  gulp.task('proxy', function(){
    var options = {
      timeout: 10,
      debug: true,
      responderListFilePath: './replace_rule.js' 
    }
    var port = 8989;
    plugins.nproxy(port, options);
  });
